javax.swing.plaf.basic

## Class BasicBorders.RolloverButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.ButtonBorder
    - - javax.swing.plaf.basic.BasicBorders.RolloverButtonBorder

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BasicBorders

    public static class BasicBorders.RolloverButtonBorder
    extends BasicBorders.ButtonBorder

Special thin border for rollover toolbar buttons.

Since:
  1.4

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder

`darkShadow, highlight, lightHighlight, shadow`

### Constructor Summary

Constructors
Constructor and Description
`BasicBorders.RolloverButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)`

### Method Summary

Methods
`void` `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

### Methods inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder

`getBorderInsets, getBorderInsets`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicBorders.RolloverButtonBorder

    public BasicBorders.RolloverButtonBorder(Color shadow,
                                     Color darkShadow,
                                     Color highlight,
                                     Color lightHighlight)

### Method Detail

#### paintBorder

    public void paintBorder(Component c,
                   Graphics g,
                   int x,
                   int y,
                   int w,
                   int h)

Description copied from class: `AbstractBorder`
This default implementation does no painting.

Specified by:
  `paintBorder` in interface `Border`
Overrides:
  `paintBorder` in class `BasicBorders.ButtonBorder`
Parameters:
  `c` - the component for which this border is being painted
  `g` - the paint graphics
  `x` - the x position of the painted border
  `y` - the y position of the painted border
  `w` - the width of the painted border
  `h` - the height of the painted border

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.